﻿Imports System.Management

Module Module_SystemInfo

    Friend Function MousePresent() As Boolean
        Return SystemInformation.MousePresent
    End Function

    Friend Function MouseWheelPresent() As Boolean
        Return SystemInformation.MouseWheelPresent
    End Function

    ' add a reference to System.Management
    Friend Function KeyboardPresent() As Boolean
        For Each obj As ManagementObject In New ManagementObjectSearcher("root\CIMV2", "SELECT * FROM Win32_Keyboard").Get
            If obj("Status").ToString().Contains("OK") Then Return True
        Next
    End Function

    Friend Function KeyboardPresent2() As Boolean
        For Each obj As ManagementObject In New ManagementObjectSearcher("Select Name from Win32_Keyboard").Get
            If obj.GetPropertyValue("Name").ToString <> "" Then Return True
        Next
    End Function

End Module
